using System;
using System.IO;
using System.Collections.Generic;
using SautinSoft;

namespace Sample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Decode JB2 file to Jpeg file
            string jb2File = Path.GetFullPath(Environment.CurrentDirectory+ @"..\..\..\..\..\..\Testing Files\1.jb2");
            byte[] jb2Data = File.ReadAllBytes(jb2File);

            SautinSoft.JBIG2 jbDecoder = new SautinSoft.JBIG2();
            // List with decoded page(s) as Jpeg image(s)
            List<byte[]> jpegData = jbDecoder.DecodeToImages(jb2Data, false, JBIG2.OutputImageFormat.Jpeg);

            for (int i = 0; i < jpegData.Count; i++)
            {
                string jpegFile = String.Format(@"{0}\page {1}.jpg", Path.GetDirectoryName(jb2File), i + 1);
                File.WriteAllBytes(jpegFile, jpegData[i]);
                System.Diagnostics.Process.Start(jpegFile);
            }
            
        }
    }
}
