using System;
using System.IO;
using System.Collections.Generic;
using SautinSoft;

namespace Sample
{
    class Program
    {
        static void Main(string[] args)
        {
            // Decode JB2 file to PNG file
            string jb2File = Path.GetFullPath(Environment.CurrentDirectory+ @"..\..\..\..\..\..\Testing Files\1.jb2");
            byte[] jb2Data = File.ReadAllBytes(jb2File);

            SautinSoft.JBIG2 jbDecoder = new SautinSoft.JBIG2();
            // List with decoded page(s) as PNG image(s)
            List<byte[]> pngData = jbDecoder.DecodeToImages(jb2Data, false, JBIG2.OutputImageFormat.Png);

            for (int i = 0; i < pngData.Count; i++)
            {
                string pngFile = String.Format(@"{0}\page {1}.png", Path.GetDirectoryName(jb2File), i + 1);
                File.WriteAllBytes(pngFile, pngData[i]);
                System.Diagnostics.Process.Start(pngFile);
            }
            
        }
    }
}
