Imports System.IO
Imports System.Text
Imports System.Collections.Generic
Imports SautinSoft


Namespace SampleConvert
	Friend Class sample
        Shared Sub Main(ByVal args() As String)
            ' Decode JB2 file to multipage-Tiff file
            Dim jb2File As String = Path.GetFullPath(Environment.CurrentDirectory & "..\..\..\..\..\..\Testing Files\13.jb2")
            Dim jb2Data() As Byte = File.ReadAllBytes(jb2File)

            Dim jbDecoder As New SautinSoft.JBIG2()

            ' First element of the list will store all pages as single Multipage-Tiff
            Dim TiffData As List(Of Byte()) = jbDecoder.DecodeToImages(jb2Data, False, JBIG2.OutputImageFormat.MultipageTiff)

            Dim TiffFile As String = String.Format("{0}\Result.tiff", Path.GetDirectoryName(jb2File))
            File.WriteAllBytes(TiffFile, TiffData(0))
            System.Diagnostics.Process.Start(TiffFile)
        End Sub
    End Class
End Namespace
